Bug 158312 - [NEW PORT] textproc/rubygem-sanitize (Whitelist-based HTML sanitizer)
Summary: [NEW PORT] textproc/rubygem-sanitize (Whitelist-based HTML sanitizer)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-26 15:00 UTC by Eric Freeman
Modified: 2011-10-02 18:20 UTC (History)
0 users

See Also:


Attachments
file.shar (2.03 KB, text/plain)
2011-06-26 15:00 UTC, Eric Freeman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Freeman 2011-06-26 15:00:01 UTC
Simple port of this white-list based HTML sanitizer Ruby gem.

How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2011-06-26 15:00:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2011-06-29 04:51:09 UTC
Responsible Changed
From-To: ruby->pgollucci

I will take it.
Comment 3 Steve Wills freebsd_committer 2011-10-02 04:44:55 UTC
Responsible Changed
From-To: pgollucci->swills

hopefully pgollucci won't mind if i take care of this for him since he's 
timed out
Comment 4 dfilter service freebsd_committer 2011-10-02 18:14:18 UTC
swills      2011-10-02 17:14:09 UTC

  FreeBSD ports repository

  Modified files:
    textproc             Makefile 
  Added files:
    textproc/rubygem-sanitize Makefile distinfo pkg-descr 
  Log:
  Sanitize is a whitelist-based HTML sanitizer.  Given a list of
  acceptable elements and attributes, Sanitize will remove all
  unacceptable HTML from a string.
  
  Using a simple configuration syntax, you can tell Sanitize to
  allow certain elements, certain attributes within those elements,
  and even certain URL protocols within attributes that contain URLs.
  Any HTML elements or attributes that you don't explicitly allow
  will be removed.
  
  Author: Ryan Grove
  WWW: https://github.com/rgrove/sanitize/
  WWW: http://wonko.com/post/sanitize
  
  PR:             ports/158312
  Submitted by:   Eric Freeman <freebsdports@chillibear.com>
  
  Revision  Changes    Path
  1.1656    +1 -0      ports/textproc/Makefile
  1.1       +22 -0     ports/textproc/rubygem-sanitize/Makefile (new)
  1.1       +2 -0      ports/textproc/rubygem-sanitize/distinfo (new)
  1.1       +13 -0     ports/textproc/rubygem-sanitize/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2011-10-02 18:14:19 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!